### Method

# Ide ProjectFile get_name

#### Declaration

    const gchar*
    ide_project_file_get_name (
      IdeProjectFile* self
    )

#### Description

Gets the name for the file, which matches the encoding on disk.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| A string containing the name.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.